[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#344269: etch release policy: scripts "must" set "appropriate" #! line?

Bill Allombert <ballombe@master.debian.org> writes:

> Well, as I explained, it does not really work from the command line
> either because you might be using tcsh and the script might be in POSIX
> sh and tcsh will not parse it.

The magic in question that started this whole thread is valid csh and
Bourne shell and re-execs Perl from either shell, but yes, in general,
this is a good point as well.

Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>

Reply to: